Alteryx Designer Discussions

Find answers, ask questions, and share expertise about Alteryx Designer.
ALTER.NEXT:

Join us on Dec 2 for a half-day virtual analytics + data science event!
US & CA customers only

SAVE YOUR SPOT
It's the most wonderful time of the year - Santalytics 2020 is here! This year, Santa's workshop needs the help of the Alteryx Community to help get back on track, so head over to the Group Hub for all the info to get started!

Manage packages for Python Tool with CONDA in Alteryx Designer 19.3

Highlighted
7 - Meteor

Thanks A lot. this helped me to come one step further to finally make it work (I hope):


At the moment my code stops with the following error:

 

from fbprophet import Prophet

 

In c:\program files\alteryx\bin\miniconda3\envs\jupytertool_venv\lib\site-packages\matplotlib\mpl-data\stylelib\_classic_test.mplstyle: 
The text.latex.preview rcparam was deprecated in Matplotlib 3.3 and will be removed two minor releases later.
In c:\program files\alteryx\bin\miniconda3\envs\jupytertool_venv\lib\site-packages\matplotlib\mpl-data\stylelib\_classic_test.mplstyle: 
The mathtext.fallback_to_cm rcparam was deprecated in Matplotlib 3.3 and will be removed two minor releases later.
In c:\program files\alteryx\bin\miniconda3\envs\jupytertool_venv\lib\site-packages\matplotlib\mpl-data\stylelib\_classic_test.mplstyle: Support for setting the 'mathtext.fallback_to_cm' rcParam is deprecated since 3.3 and will be removed two minor releases later; use 'mathtext.fallback : 'cm' instead.
In c:\program files\alteryx\bin\miniconda3\envs\jupytertool_venv\lib\site-packages\matplotlib\mpl-data\stylelib\_classic_test.mplstyle: 
The validate_bool_maybe_none function was deprecated in Matplotlib 3.3 and will be removed two minor releases later.
In c:\program files\alteryx\bin\miniconda3\envs\jupytertool_venv\lib\site-packages\matplotlib\mpl-data\stylelib\_classic_test.mplstyle: 
The savefig.jpeg_quality rcparam was deprecated in Matplotlib 3.3 and will be removed two minor releases later.
In c:\program files\alteryx\bin\miniconda3\envs\jupytertool_venv\lib\site-packages\matplotlib\mpl-data\stylelib\_classic_test.mplstyle: 
The keymap.all_axes rcparam was deprecated in Matplotlib 3.3 and will be removed two minor releases later.
In c:\program files\alteryx\bin\miniconda3\envs\jupytertool_venv\lib\site-packages\matplotlib\mpl-data\stylelib\_classic_test.mplstyle: 
The animation.avconv_path rcparam was deprecated in Matplotlib 3.3 and will be removed two minor releases later.
In c:\program files\alteryx\bin\miniconda3\envs\jupytertool_venv\lib\site-packages\matplotlib\mpl-data\stylelib\_classic_test.mplstyle: 
The animation.avconv_args rcparam was deprecated in Matplotlib 3.3 and will be removed two minor releases later.

 

 

m = Prophet()

 


---------------------------------------------------------------------------
AttributeError Traceback (most recent call last) <ipython-input-9-8c192ddbcb3b> in <module> ----> 1 m = Prophet() #Insantiate prophet model 2 m.fit(train_df); #Train our model by invoking its fit method on our training dataset c:\program files\alteryx\bin\miniconda3\envs\jupytertool_venv\lib\site-packages\fbprophet\forecaster.py in __init__(self, growth, changepoints, n_changepoints, changepoint_range, yearly_seasonality, weekly_seasonality, daily_seasonality, holidays, seasonality_mode, seasonality_prior_scale, holidays_prior_scale, changepoint_prior_scale, mcmc_samples, interval_width, uncertainty_samples, stan_backend) 139 self.fit_kwargs = {} 140 self.validate_inputs() --> 141 self._load_stan_backend(stan_backend) 142 143 def _load_stan_backend(self, stan_backend): c:\program files\alteryx\bin\miniconda3\envs\jupytertool_venv\lib\site-packages\fbprophet\forecaster.py in _load_stan_backend(self, stan_backend) 152 self.stan_backend = StanBackendEnum.get_backend_class(stan_backend)(logger) 153 --> 154 logger.debug("Loaded stan backend: %s", self.stan_backend.get_type()) 155 156 def validate_inputs(self): AttributeError: 'Prophet' object has no attribute 'stan_backend'

 

 Anybody has an idea how I can resolve this issue?

Best

Ricco

Highlighted
5 - Atom

Hi,

Could you please share me installation process of CONDA on Alteryx system.

Highlighted
7 - Meteor

 

follow these three steps in your terminal:

:\Users\username>cd C:\Program Files\Alteryx\bin\Miniconda3\Scripts

C:\Program Files\Alteryx\bin\Miniconda3\Scripts>activate JupyterTool_vEnv

(JupyterTool_vEnv) C:\Program Files\Alteryx\bin\Miniconda3\Scripts>conda install -c conda-forge fbprophet

 

Labels